OpenVDB: AttributeDetailBase Class Reference

OpenVDB 10.1.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
AttributeDetailBase Class Referenceabstract

`#include <openvdb_houdini/AttributeTransferUtil.h>`

Inheritance diagram for AttributeDetailBase:

## Public Types
using | Ptr = std::shared_ptr< AttributeDetailBase >

## Public Member Functions
virtual | ~AttributeDetailBase ()=default
| AttributeDetailBase (const AttributeDetailBase &)=default
AttributeDetailBase & | operator= (const AttributeDetailBase &)=default
virtual void | set (const openvdb::Coord &ijk, const GA_Offset(&offsets)[3], const openvdb::Vec3d &weights)=0
virtual void | set (const openvdb::Coord &ijk, GA_Offset offset)=0
virtual openvdb::GridBase::Ptr & | grid ()=0
virtual std::string & | name ()=0
virtual AttributeDetailBase::Ptr | copy ()=0

## Protected Member Functions
| AttributeDetailBase ()

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<AttributeDetailBase>

## Constructor & Destructor Documentation

## ◆ ~AttributeDetailBase()

virtual ~AttributeDetailBase | ( |  | ) |
| virtualdefault

## ◆ AttributeDetailBase() [1/2]

AttributeDetailBase | ( | const AttributeDetailBase & |  | ) |
| default

## ◆ AttributeDetailBase() [2/2]

AttributeDetailBase | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ copy()

virtual AttributeDetailBase::Ptr copy | ( |  | ) |
| pure virtual

Implemented in AttributeDetail< VDBGridType >.

## ◆ grid()

virtual openvdb::GridBase::Ptr & grid | ( |  | ) |
| pure virtual

Implemented in AttributeDetail< VDBGridType >.

## ◆ name()

virtual std::string & name | ( |  | ) |
| pure virtual

Implemented in AttributeDetail< VDBGridType >.

## ◆ operator=()

AttributeDetailBase & operator= | ( | const AttributeDetailBase & |  | ) |
| default

## ◆ set() [1/2]

virtual void set | ( | const openvdb::Coord & | ijk,
|  | const GA_Offset(&) | offsets[3],
|  | const openvdb::Vec3d & | weights
| ) |  |
| pure virtual

Implemented in AttributeDetail< VDBGridType >.

## ◆ set() [2/2]

virtual void set | ( | const openvdb::Coord & | ijk,
|  | GA_Offset | offset
| ) |  |
| pure virtual

Implemented in AttributeDetail< VDBGridType >.